# V7State class

V7State stores the random number generator state for the v4 function. random is a instantiation of the RNG state being used. initialized is a boolean to indicate whether or not the state has been initialized once already. Prevents re-initialization on subsequent calls to _init() from within the v4 function.

## Constructors

V7State.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

initialized ↔ bool
  getter/setter pair
random ↔ RNG
  getter/setter pair